Skip to main content
POST
/
v3
/
documents
/
batch_remove_tag
Remove a tag from documents
curl --request POST \
  --url https://{region}.affinda.com/v3/documents/batch_remove_tag \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identifiers": [
    "<string>"
  ],
  "tag": 123
}
'
import requests

url = "https://{region}.affinda.com/v3/documents/batch_remove_tag"

payload = {
"identifiers": ["<string>"],
"tag": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifiers: ['<string>'], tag: 123})
};

fetch('https://{region}.affinda.com/v3/documents/batch_remove_tag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "type": "validation_error",
  "errors": [
    {
      "attr": "non_field_errors",
      "code": "unique",
      "detail": "This index name has already been used"
    }
  ]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Body

application/json

Specify the tag and the documents to remove the tag from

identifiers
string[]

List of documents to remove tag from

Unique identifier for the document

tag
integer

The tag's ID

Response

Document successfully tagged